%define name 	huludesktop
%define version 0.9.8
%define release %mkrel 1

Summary:        Hulu Desktop - viewing experience for your computer
Name:           %{name}  
Version:        %{version}
Release:        %{release}
License:        Propriety - Shareware 
Group:          Video
Source:         http://www.hulu.com/labs/hulu-desktop-linux/%{name}-%{version}.tar.xz
URL:            http://www.hulu.com/labs/hulu-desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  desktop-file-utils
Requires:       flash-player-plugin
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:  	%name < %version

 
%description
Hulu Desktop is a lean-back viewing experience for your personal computer.
It features a sleek new look that's optimized for use with standard Windows
Media Center remote controls or Apple remote controls, allowing you to
navigate Hulu's entire library with just six buttons. For users without
remotes, the application is keyboard and mouse-enabled. Hulu Desktop is
a downloadable application and will work on PCs and Macs. It will initially
launch as a beta product during which we plan to gather and incorporate user
feedback to improve the service.

WARNING - You may experience high CPU output from this application that
may cause other applications to not work properly!
 
%prep

%setup -q 

%build

%install
install -dm 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}
install -dm 755 %{buildroot}%{_sysconfdir}/%{name}
install -m 755 *.ini %{buildroot}%{_sysconfdir}/%{name}

# icon
install -dm 755 %{buildroot}/%{_datadir}/pixmaps
install -m 644  %{name}.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png


# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=Hulu Desktop
Comment=Browse and stream the entire Hulu library without a browser.
Exec=%{name}
Icon=%{name}
Categories=GTK;AudioVideo;Audio;Video;Player;X-MandrivaLinux-AudioVideo;Player;
EOF


%clean
rm -rf %{buildroot}

%post
%{update_menus}

# get system users and add default .huludesktop file to users home folder
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
for idx in $SYSUSERS
do
  if [ ! -e /home/$idx/.huludesktop ] ; then
cat > /home/$idx/.huludesktop << EOF
[display]
fullscreen = FALSE
width = 1024
height = 576
pos_x = 200
pos_y = 150

[remote]
lirc_device = /dev/lircd
lirc_remote_identifier = mceusb
lirc_release_suffix = _UP
lirc_repeat_threshold = 10
button_name_up = Up
button_name_down = Down
button_name_left = Left
button_name_right = Right
button_name_select = OK
button_name_menu = Home

[flash]
flash_location = /usr/lib/mozilla/plugins/libflashplayer.so

[version]
latest = (null)
eula_version = 1
EOF

# reset permissions
    chown -R $idx.`id -gn $idx` /home/$idx/.huludesktop
  fi
done

%postun
%{clean_menus}




%files
%defattr(-, root, root)
%doc README LICENSE EULA
%{_sysconfdir}/%{name}/hd_keymap.ini
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Aug 31 2010 Texstar <texstar at gmail.com> 0.9.8-1pclos2010
- 0.9.8

* Mon Dec 07 2009 slick50 <lxgator@gmail.com> 0.9.7-1pclos2010
- 0.9.7

* Tue Nov 03 2009 slick50 <lxgator@gmail.com> 0.9.6-1pclos2010
- 0.9.6

* Sat Oct 17 2009 slick50 <lxgator@gmail.com> 0.9.4-1pclos2010
- 0.9.4

* Sat Oct 10 2009 slick50 <lxgator@gmail.com> 0.9.3-1pclos2010
- 0.9.3

* Thu Oct 08 2009 slick50 <lxgator@gmail.com> 0.9.2-1pclos2010
- initial pkg
- add post script to set defaults (Tex)


